<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up()
    {
        Schema::create('bookings', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('customer_id'); // ID customer yang booking
            $table->dateTime('tanggal_pemotretan'); // Waktu pemotretan
            $table->string('status')->default('pending'); // Status booking (pending, accepted, declined)
            $table->timestamps();

            // Foreign key ke tabel users
            $table->foreign('customer_id')->references('id')->on('users')->onDelete('cascade');
        });
    }

    public function down()
    {
        Schema::dropIfExists('bookings');
    }
};
